<?php

/**
* Список категорий форума
* @author Mykhaylo Yatsyshyn
* @package Dk-game.ru
* version 1.0
* 17:56 20.04.15
*/

/**
* UPD 23:41  22.04.15
* @author Alex Priadko
* подправил вывод постран навигации, выводиться когда страниц более 1
* немного кнопка создать новую тему поправлена...
*/



$paginate = 1;
$title = "Форум";
include_once '../protected/sys.php';
if (!$user)
{
	header("Location:/");
	exit;
}
	echo "<div class='menu'>";
 if(isset($_GET['category'])){
	$id=intval($_GET['category']);
	$topic=$db->rows("SELECT * FROM `forum_category` WHERE `id`=?",array($id));
		
	echo '<div class="link">';	
		if($topic==0){$no_category="yes"; } else {
	echo "<a href='/forum/'>На форум</a>";
			echo "  <a class='menu' href='new_topic.php?id=".$id."'>
						<img src='/imgData/static/rules.png'/> Новая тема
					</a></li>";
			$c = 10;
			$k_post = $db->rows("SELECT * FROM `forum_topic` WHERE `category`=?",array($id));
			$k_page = k_page($k_post,$c);
			$page = page($k_page);
			$start = $c*$page-$c;
						$db->Emulate(FALSE);
				$topics = $db->fetchAll("SELECT * FROM `forum_topic` WHERE `category`=? ORDER BY `time_update` DESC LIMIT ?,?",
							array($id,$start,$c));
		

					foreach ($topics as $top)
					{
						//немного оптимизировал запрос
						$comment=1+$db->rows("SELECT `topic` FROM `forum_comment` WHERE `topic`=?",array($top['id']));
			echo '<div class="menu">';	  	echo "<a class'menu' href='topic.php?id=".$top['id']."' ><img src='/imgData/static/online.png'> ".$top['name']." (".$comment.")</a></div>";
					}
				
		}

if ($k_page > 1)
{
	?>
	<div class="hr_arr mt2 mb2 mlr10">
		<div class="alf">
			<div class="art">
				<div class="acn">
				</div>
			</div>
		</div>
	</div>
	<center>
	<?


	str('?',$k_page,$page,NULL); // Вывод страниц


	?>
	</center>
	<div class="hr_arr mt2 mb2 mlr10">
		<div class="alf">
			<div class="art">
				<div class="acn">
				</div>
			</div>
		</div>
	</div>
	<?
}
}



if(!isset($_GET['category']) OR $no_category=="yes"){
	$category=$db->fetchAll("SELECT * FROM `forum_category`",NULL);
echo '<div class="list">';
	foreach ($category as $cat)
	{

		$coll=$db->rows("SELECT * FROM `forum_topic` WHERE `category`=?",array($cat['id']));
		echo " <a class='menu' href='?category=".$cat['id']."' ><img src='/imgData/static/online.png'> ".$cat['name']." (".$coll.")</a></li>";  
	}

}

	echo "</div>";

include_once $config['root'].'/protected/footermain.php';
?>